package cn.superdesk.uniorder.dto.vo.kafka;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业
 */
@Deprecated
public class VirtualarchitectureEntity implements Serializable {
    /**
	 *
	 */
	private static final long serialVersionUID = 4819118478622162634L;

	/**
     * 主键id
     */
    private Integer id;

    /**
     * 学院名称
     */
    private String name;

    /**
     * 项目ID
     */
    private Integer orgId;

    /**
     * 类型(1-学院、2-专业)
     */
    private Integer type;

    /**
     * 当前节点Code
     */
    private String code;

    /**
     * 父节点Code
     */
    private String parentCode;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建人
     */
    private Integer createdBy;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 修改人
     */
    private Integer updatedBy;

    /**
     * 修改时间
     */
    private Date updatedAt;

    /**
     * 是否可用或者删除1可用,0不可用
     */
    private Integer enabled;

    /**
     * 企业编码
     */
    private String codeNumber;

    /**
     * 客户编号
     */
    private String customerNumber;

    /**
     * 企业电话
     */
    private String phone;

    /**
     * 企业地址
     */
    private String address;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 预存款余额
     */
    private BigDecimal reserveBalance;

    /**
     * 企业人数
     */
    private Integer employees;

    /**
     * 客户类型(1-VIP客户,0-普通客户)
     */
    private Integer customerType;

    /**
     * 签约状态(1-已签约,0-未签约)
     */
    private Integer contractStatus;

    /**
     * 企业状态(0-待审核,1-通过,2-不通过)
     */
    private Integer status;

    /**
     * 审核信息说明
     */
    private String reviewRemark;

    /**
     * 申请人的微信信息ID
     */
    private Integer wxUserId;

    /**
     * 楼层号
     */
    private String floorIds;

    /**
     * 房间号
     */
    private String roomIds;

    /**
     * 在租状态
     */
    private Integer leaseStatus;

    /**
     * 是否邮箱发送
     */
    private Integer isEmail;

    /**
     * 是否微信发送
     */
    private Integer isWechat;

    /**
     * 是否信息发送
     */
    private Integer isMessage;

    /**
     * 营业执照图片地址
     */
    private String businessimageUrl;

    /**
     * 法人代表委托书图片代表
     */
    private String powerAttorneyImageUrl;

    /**
     * 法人身份证人脸图片地址
     */
    private String powerFaceImageUrl;

    /**
     * 法人身份证国徽图片地址
     */
    private String powerNationImageUrl;

    private String floorNames;

    private String roomNames;

    private String floorAndNames;

    /**
     * 免费总时长
     */
    private BigDecimal freeLenTime;

    /**
     * 剩余时长
     */
    private BigDecimal remainderTime;

    /**
     * 楼宇id
     */
    private Integer buildId;

    /**
     * 企业结算方式(1现结2月结)
     */
    private Integer settleType;

    /**
     * 入驻时间
     */
    private Date enterTime;

    /**
     * 企业类型ID
     */
    private Integer virtType;

    /**
     * 签约时间
     */
    private Date signingTime;

    /**
     * 合同到期时间
     */
    private Date contExpireTime;

    /**
     * 申请人邮箱
     */
    private String email;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getParentCode() {
		return parentCode;
	}

	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Integer getUpdatedBy() {
		return updatedBy;
	}

	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Integer getEnabled() {
		return enabled;
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}

	public String getCodeNumber() {
		return codeNumber;
	}

	public void setCodeNumber(String codeNumber) {
		this.codeNumber = codeNumber;
	}

	public String getCustomerNumber() {
		return customerNumber;
	}

	public void setCustomerNumber(String customerNumber) {
		this.customerNumber = customerNumber;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public BigDecimal getReserveBalance() {
		return reserveBalance;
	}

	public void setReserveBalance(BigDecimal reserveBalance) {
		this.reserveBalance = reserveBalance;
	}

	public Integer getEmployees() {
		return employees;
	}

	public void setEmployees(Integer employees) {
		this.employees = employees;
	}

	public Integer getCustomerType() {
		return customerType;
	}

	public void setCustomerType(Integer customerType) {
		this.customerType = customerType;
	}

	public Integer getContractStatus() {
		return contractStatus;
	}

	public void setContractStatus(Integer contractStatus) {
		this.contractStatus = contractStatus;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getReviewRemark() {
		return reviewRemark;
	}

	public void setReviewRemark(String reviewRemark) {
		this.reviewRemark = reviewRemark;
	}

	public Integer getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(Integer wxUserId) {
		this.wxUserId = wxUserId;
	}

	public String getFloorIds() {
		return floorIds;
	}

	public void setFloorIds(String floorIds) {
		this.floorIds = floorIds;
	}

	public String getRoomIds() {
		return roomIds;
	}

	public void setRoomIds(String roomIds) {
		this.roomIds = roomIds;
	}

	public Integer getLeaseStatus() {
		return leaseStatus;
	}

	public void setLeaseStatus(Integer leaseStatus) {
		this.leaseStatus = leaseStatus;
	}

	public Integer getIsEmail() {
		return isEmail;
	}

	public void setIsEmail(Integer isEmail) {
		this.isEmail = isEmail;
	}

	public Integer getIsWechat() {
		return isWechat;
	}

	public void setIsWechat(Integer isWechat) {
		this.isWechat = isWechat;
	}

	public Integer getIsMessage() {
		return isMessage;
	}

	public void setIsMessage(Integer isMessage) {
		this.isMessage = isMessage;
	}

	public String getBusinessimageUrl() {
		return businessimageUrl;
	}

	public void setBusinessimageUrl(String businessimageUrl) {
		this.businessimageUrl = businessimageUrl;
	}

	public String getPowerAttorneyImageUrl() {
		return powerAttorneyImageUrl;
	}

	public void setPowerAttorneyImageUrl(String powerAttorneyImageUrl) {
		this.powerAttorneyImageUrl = powerAttorneyImageUrl;
	}

	public String getPowerFaceImageUrl() {
		return powerFaceImageUrl;
	}

	public void setPowerFaceImageUrl(String powerFaceImageUrl) {
		this.powerFaceImageUrl = powerFaceImageUrl;
	}

	public String getPowerNationImageUrl() {
		return powerNationImageUrl;
	}

	public void setPowerNationImageUrl(String powerNationImageUrl) {
		this.powerNationImageUrl = powerNationImageUrl;
	}

	public String getFloorNames() {
		return floorNames;
	}

	public void setFloorNames(String floorNames) {
		this.floorNames = floorNames;
	}

	public String getRoomNames() {
		return roomNames;
	}

	public void setRoomNames(String roomNames) {
		this.roomNames = roomNames;
	}

	public String getFloorAndNames() {
		return floorAndNames;
	}

	public void setFloorAndNames(String floorAndNames) {
		this.floorAndNames = floorAndNames;
	}

	public BigDecimal getFreeLenTime() {
		return freeLenTime;
	}

	public void setFreeLenTime(BigDecimal freeLenTime) {
		this.freeLenTime = freeLenTime;
	}

	public BigDecimal getRemainderTime() {
		return remainderTime;
	}

	public void setRemainderTime(BigDecimal remainderTime) {
		this.remainderTime = remainderTime;
	}

	public Integer getBuildId() {
		return buildId;
	}

	public void setBuildId(Integer buildId) {
		this.buildId = buildId;
	}

	public Integer getSettleType() {
		return settleType;
	}

	public void setSettleType(Integer settleType) {
		this.settleType = settleType;
	}

	public Date getEnterTime() {
		return enterTime;
	}

	public void setEnterTime(Date enterTime) {
		this.enterTime = enterTime;
	}

	public Integer getVirtType() {
		return virtType;
	}

	public void setVirtType(Integer virtType) {
		this.virtType = virtType;
	}

	public Date getSigningTime() {
		return signingTime;
	}

	public void setSigningTime(Date signingTime) {
		this.signingTime = signingTime;
	}

	public Date getContExpireTime() {
		return contExpireTime;
	}

	public void setContExpireTime(Date contExpireTime) {
		this.contExpireTime = contExpireTime;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}



}
